# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI="5"
inherit 1C_Enterprise

DESCRIPTION="Web component of 1C ERP system"

KEYWORDS="amd64 x86"

RDEPEND="~app-office/1C_Enterprise-common-${PV}:${SLOT}"
DEPEND="${RDEPEND}"
IUSE="pax_kernel"

pkg_postinst() {
	elog "You need to configure fonts for the web compoment of 1C ERP system by exec"
	elog "/${BINDIR}/utils/config_server /usr/share/fonts/corefont"
	elog "or you may get an error \"Failed to initialize graphics subsystem!\""
	if use pax_kernel ; then
		elog ""
		elog "You may have to disable MPROTECT for the /usr/sbin/apache2 binary"
		elog "Otherwise, the PAX-kernel will not allow the web-server to work"
		elog "with 1C web-component apache module."
	fi
}
