# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

inherit eutils flag-o-matic multilib rpm versionator

EXPORT_FUNCTIONS src_install

HOMEPAGE="http://v8.1c.ru/"
LICENSE="|| ( 1CEnterprise_ru 1CEnterprise_ru )"
SLOT="$(get_version_component_range 1-2)"
VER=${SLOT/./}
MY_PN=${PN/-/${VER}-}

RESTRICT="fetch strip"
IUSE="+nls"

x86_SRC_URI="${MY_PN}-${PVR/r/}.i386.rpm
		nls? ( ${MY_PN}-nls-${PVR/r/}.i386.rpm )"
amd64_SRC_URI="
		${MY_PN}-${PVR/r/}.x86_64.rpm
		nls? ( ${MY_PN}-nls-${PVR/r/}.x86_64.rpm )"
SRC_URI="x86? ( ${x86_SRC_URI} )
	amd64? ( ${amd64_SRC_URI} )"

S="${WORKDIR}"
BINDIR="opt/1C/v${SLOT}/$(usex amd64 x86_64 i386)"

1C_Enterprise_src_install() {
	dodir /opt
	mv ${S}/opt/* ${ED}/opt
}
