# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI="5"
inherit 1C_Enterprise

DESCRIPTION="Base component of 1C ERP system"

KEYWORDS="amd64 x86"

RDEPEND=">=sys-libs/glibc-2.3
	sys-devel/gcc
	>=dev-libs/icu-3.8.1-r1"
DEPEND="${RDEPEND}"

QA_EXECSTACK="${BINDIR}/backbas.so"
QA_TEXTRELS="${QA_EXECSTACK}"

src_install() {
	1C_Enterprise_src_install
	dodir /etc/env.d
	echo "PRELINK_PATH_MASK=/${BINDIR}" >${ED}/etc/env.d/99_1C_Enterprise_${SLOT}
}
